/*
Theme Name: Tecnodata Educacional B2C
Version: 1.0
Description: Tema da Loja B2C da Tecnodata Educacional.
Author: Creative Hut
Author URI: https://www.creativehut.com.br
template: bb-theme
*/
/** General customization **/
hr {
    border-color: #e3e3e3;
}
a[rel="tag"],
.tag,
.wc-block-components-chip {
    display: inline-block;
    margin: 5px;
    padding: 5px 15px;
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
    background: linear-gradient(90deg, rgba(255, 204, 0, 1) 0%, rgba(0, 128, 201, 1) 100%);
    color: #fff;
    border-radius: 5px;
    line-height: 1.2;
    transition: background linear .3s;
}
a[rel="tag"]:hover,
.tag:hover,
.wc-block-components-chip:hover {
    background: linear-gradient(90deg, rgba(0, 128, 201, 1) 0%, rgba(255, 204, 0, 1) 100%);
    color: #fff;
}
/** Forms **/
.select2-container--default>.selection {
    display: block;
    width: 100%;
    margin-bottom: 5px;
}
.select2-container--default .select2-selection--single {
    height: 37px;
    background-color: rgb(252, 252, 252);
    border: 1px solid rgb(230, 230, 230);
    color: rgb(23, 23, 23)
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-left: 12px;
    line-height: 37px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 37px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
    margin-left: -7px;
    margin-top: -3px;
}
.select2-container--open .select2-dropdown--below {
    overflow: hidden;
    border-color: rgba(125, 131, 134, 0.1);
}
.woocommerce .quantity input.qty, .woocommerce-page .quantity input.qty {
    width: auto;
    padding: 10px;
    border-color: rgba(125, 131, 134, 0.1);
}
/** Custom product search **/
.inline-form {
    display: flex;
}
.inline-form input[type="text"],
.inline-form button {
    background-color: var(--wc-content-bg) !important;
    border-color: rgba(125, 131, 134, 0.1) !important;
}
.inline-form input[type="text"] {
    padding: 15px 0 15px 15px;
    font-weight: 500;
    border-right: 0;
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}
.inline-form button {
    padding: 15px 18px;
    font-size: 1.3em !important;
    color: var(--wc-secondary-text) !important;
    border-left: 0;
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
    transition: all ease-in-out .15s;
}
.inline-form:hover input[type="text"],
.inline-form input[type="text"]:focus,
.inline-form:hover button,
.inline-form input[type="text"]:focus+button {
    background-color: rgba(125, 131, 134, 0.1) !important;
}
/** WooCommerce Info blocks **/
.woocommerce div.product .price del,
.woocommerce div.product .price del * {
    font-size: 1.2rem !important;
}
.fswp_installments_price.loop {
    margin-bottom: 0 !important;
}
.outofstock .fswp_installments_price,
.outofstock .fswp_in_cash_price {
    display: none;
}
.woocommerce .fl-module .product_meta,
.woocommerce-page .fl-module .product_meta {
    padding: 0;
    border: none;
}
.woocommerce .woocommerce-message,
.woocommerce-page .woocommerce-message,
.woocommerce .woocommerce-info,
.woocommerce-page .woocommerce-info,
.woocommerce .woocommerce-error,
.woocommerce-page .woocommerce-error {
    border-radius: 5px;
    border-color: rgba(237, 237, 237, .8);
}
.woocommerce div.woocommerce-info,
.woocommerce-page div.woocommerce-info,
.woocommerce-page ul.woocommerce-info {
    background: rgba(0, 128, 201, 0.1);
    border-color: rgba(0, 128, 201, 0.2);
    color: #004f7c;
}
.woocommerce div.woocommerce-error,
.woocommerce-page div.woocommerce-error,
.woocommerce-page ul.woocommerce-error {
    background: rgba(255, 204, 0, 0.1);
    border-color: rgba(255, 204, 0, 0.2);
    color: #997e00;
}
.woocommerce .woocommerce-message a.button, .woocommerce-page .woocommerce-message a.button, .woocommerce .woocommerce-info a.button, .woocommerce-page .woocommerce-info a.button, .woocommerce .woocommerce-error a.button, .woocommerce-page .woocommerce-error a.button {
    float: left !important;
    margin-top: 5px;
}
.woocommerce .woocommerce-error a.button,
.woocommerce-page .woocommerce-error a.button {
    background-color: #004f7c !important;
    color: #fff !important;
}
.woocommerce .woocommerce-error a.button:hover,
.woocommerce-page .woocommerce-error a.button:hover {
    background-color: #0080c9 !important;
    color: #004f7c !important;
}
.woocommerce .woocommerce-error a.button,
.woocommerce-page .woocommerce-error a.button {
    background-color: #997e00 !important;
    color: #fff !important;
}
.woocommerce .woocommerce-error a.button:hover,
.woocommerce-page .woocommerce-error a.button:hover {
    background-color: #ffcc00 !important;
    color: #997e00 !important;
}
.woocommerce ul.products li.product span.onsale,
span.onsale {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 60px;
    min-height: 35px;
    left: auto !important;
    right: 0 !important;
    top: 0 !important;
    font-size: .9rem;
    line-height: 1;
    text-transform: uppercase;
    font-weight: 600;
    color: #997e00;
    background-color: #ffcc00;
    border-radius: 0px 8px 0px 24px;
}
.single_add_to_cart_button,
.woocommerce .wc-proceed-to-checkout a.checkout-button,
.woocommerce-checkout #payment button#place_order {
    padding: 10px 20px !important;
    text-transform: uppercase;
    font-size: 1.2rem !important;
}
.woocommerce div.product form.cart,
.woocommerce-page div.product form.cart {
    margin: 0 auto !important;
}
.woocommerce div.product div.images ol.flex-control-thumbs {
    display: flex;
    gap: 10px;
    margin-top: 10px;
}
.woocommerce div.product div.images .flex-control-thumbs li {
    float: none;
}
.woocommerce div.product div.images .flex-viewport,
.woocommerce div.product div.images .flex-control-thumbs li img {
    border-radius: 5px;
    border: 1px solid rgba(125, 131, 134, 0.1);
}
.woocommerce-page div.product div.images .flex-viewport img {
    border: none !important;
}
.woocommerce div.product div.images .woocommerce-product-gallery__trigger:before {
    border-color: #009757;
}
.woocommerce div.product div.images .woocommerce-product-gallery__trigger:after {
    background-color: #009757;
}
/** Product Seal **/
li.product .seal {
    position: absolute !important;
    margin: 0 !important;
    top: 10px;
    left: 10px;
    width: auto !important;
    height: auto !important;
    background-color: transparent;
    background-position: top left;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 1;
}
li.product .seal>img {
    margin-bottom: 0 !important;
    border: 0 !important;
}
/** Products Sidebar **/
[class*="fl-woo-sidebar-"] {
    background-color: var(--wc-content-bg);
}
[class*="fl-woo-sidebar-"] aside.fl-widget:not(:last-child){
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid rgba(125, 131, 134, 0.1);
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wp-block-heading {
    font-size: 1rem;
    text-transform: uppercase;
    color: #7d8386;
    line-height: 1.2;
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wc-block-active-filters .wc-block-active-filters__list--chips .wc-block-components-chip {
    margin: 0;
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wc-block-active-filters .wc-block-active-filters__list--chips .wc-block-components-chip svg {
    width: 24px;
    height: 24px;
    fill: #fff;
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wc-block-active-filters .wc-block-active-filters__list--chips .wc-block-components-chip button {
    padding: 0;
    margin: 0;
    background: transparent;
    border: none;
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wp-block-woocommerce-product-categories ul {
    list-style: none;
    margin: 0;
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wp-block-woocommerce-product-categories ul li {
    margin: 0;
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wp-block-woocommerce-product-categories ul li a {
    position: relative;
    display: block;
    padding: 8px 0;
    margin: 0;
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wp-block-woocommerce-product-categories ul li a:hover {
    text-decoration: none;
    color: #009757;
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wp-block-woocommerce-product-categories ul li a:before {
    content: '\f0da';
    font: var(--fa-font-solid);
    color: #009757;
    margin-right: 5px;
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wp-block-woocommerce-product-categories ul ul li a {
    padding-left: 15px;
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wp-block-woocommerce-price-filter .wc-block-components-price-slider__range-input-wrapper:before {
    background: linear-gradient(90deg, rgba(255, 204, 0, 1) 0%, rgba(0, 128, 201, 1) 100%);
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wp-block-woocommerce-price-filter .wc-block-components-price-slider__range-input-progress {
    --range-color: #009757;
}
[class*="fl-woo-sidebar-"] aside.fl-widget .wp-block-woocommerce-price-filter input {
    border-color: #7d8386;
}
/** Products Archive Loop **/
.woocommerce .fl-woo-content-left,
.woocommerce .fl-woo-content-right {
    border-color: rgba(125, 131, 134, 0.1);
}
.woocommerce .woocommerce-ordering select {
    padding: 8px 10px;
    background-color: var(--wc-content-bg);
    border: 1px solid rgba(125, 131, 134, 0.1);
}
.woocommerce ul.products li.product,
.woocommerce-page ul.products li.product {
    display: block;
    position: relative;
    padding: 0;
}
.woocommerce ul.products li.product a,
.woocommerce-page ul.products li.product a {
    position: relative;
    display: block;
    text-align: left;
}
.woocommerce ul.products li.product a.button,
.woocommerce-page ul.products li.product a.button {
    width: 100%;
    padding: 10px;
    text-align: center;
    font-size: 15px;
    font-weight: bold;
    word-wrap: normal;
    hyphens: auto;
}
.woocommerce ul.products li.product a.button.add_to_cart_button,
.woocommerce-page ul.products li.product a.button.add_to_cart_button {
    background-color: transparent;
    color: #009757;
    border:1px solid currentColor;
}
.woocommerce ul.products li.product a.button.add_to_cart_button:hover,
.woocommerce-page ul.products li.product a.button.add_to_cart_button:hover {
    background-color: #009757;
    color: #fff;
}
.woocommerce ul.products li.product.outofstock a.button,
.woocommerce-page ul.products li.product.outofstock a.button {
    color: #7d8386;
    background-color: transparent;
    border: 1px solid currentColor;
}
.woocommerce ul.products li.product.outofstock a.button:hover,
.woocommerce-page ul.products li.product.outofstock a.button:hover {
    background-color: #7d8386;
    color: #fff;
}
.woocommerce ul.products li.product a>img,
.woocommerce-page ul.products li.product a>img {
    position: relative;
    border: 0 !important;
    border-radius: 5px !important;
    box-shadow: rgba(125, 131, 134, 0.2) 0px 12px 24px, rgba(125, 131, 134, 0.15) 0px 7px 14px !important;
}
.woocommerce ul.products li.product .woocommerce-loop-product__title,
.woocommerce-page ul.products li.product .woocommerce-loop-product__title {
    margin-bottom: 10px;
    padding: 0;
    font-size: 20px;
    font-weight: bold;
    color: #009757 !important;
}
.woocommerce ul.products li.product .woocommerce-product-details__short-description,
.woocommerce-page ul.products li.product .woocommerce-product-details__short-description {
    margin-bottom: 40px;
    font-size: 14px;
    font-weight: 500;
    color: var(--wc-subtext);
}
.woocommerce nav.woocommerce-pagination ul,
.woocommerce-page nav.woocommerce-pagination ul {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin: 0;
    border: none !important;
}
.woocommerce nav.woocommerce-pagination ul li,
.woocommerce-page nav.woocommerce-pagination ul li {
    float: none!important;
    border: none !important;
    min-width: 34px;
    text-align: center;
}
.woocommerce nav.woocommerce-pagination ul li a,
.woocommerce-page nav.woocommerce-pagination ul li a {
    padding: 10px 15px;
    font-size: 1.2rem;
    color: #7d8386;
    border: 1px solid #009757;
    border-radius: 5px;
}
.woocommerce nav.woocommerce-pagination ul li a:hover,
.woocommerce-page nav.woocommerce-pagination ul li a:hover {
    background-color: #009757 !important;
    color: #fff !important;
}
.woocommerce nav.woocommerce-pagination ul li span,
.woocommerce-page nav.woocommerce-pagination ul li span {
    padding: 10px 15px;
    font-size: 1.2rem;
    background-color: #e3e3e3 !important;
    color: #7d8386 !important;
    border: 1px solid currentColor;
    border-radius: 5px;
}
/** WooCommerce Cart **/
.woocommerce table.shop_table {
    border-collapse: initial;
    border-radius: 5px;
    overflow: hidden;
}
.woocommerce table.shop_table thead {
    background: linear-gradient(90deg, rgba(255, 204, 0, 0.1) 0%, rgba(0, 128, 201, 0.1) 100%);
}
.woocommerce table.shop_table thead th,
.woocommerce-page table.shop_table thead th {
    background-color: transparent;
    border-bottom: 0px !important;
    color: #364445;
}
.woocommerce table.shop_table th,
.woocommerce table.shop_table td,
.woocommerce-page table.shop_table th,
.woocommerce-page table.shop_table td {
    padding: 12px 10px;
    border-color: rgb(230, 230, 230) !important;
}
.woocommerce-page table.shop_table tr.order-total th,
.woocommerce-page table.shop_table tr.order-total td {
    border-bottom: 0;
}
.woocommerce table.cart td.actions .coupon .input-text, .woocommerce-page table.cart td.actions .coupon .input-text {
    height: 34px;
}
.woocommerce table.cart td.actions .coupon .button, .woocommerce-page table.cart td.actions .coupon .button {
    height: 34px;
    font-size: .875rem !important;
}
.woocommerce table.cart .product-thumbnail a {
    display: inline-block;
}
.woocommerce table.cart .product-thumbnail a img {
    width: 60px !important;
}
.woocommerce table.cart .product-name a {
    font-weight: 500;
}
.woocommerce .cart-collaterals .cross-sells h2 {
    font-size: 2rem;
}
.woocommerce .cart-collaterals .cross-sells ul.products li {
    width: 30.75%;
}
.woocommerce .wc-proceed-to-checkout a.checkout-button,
.woocommerce-checkout #payment button#place_order {
    background-color: #009757 !important;
}
.woocommerce .wc-proceed-to-checkout a.checkout-button:hover,
.woocommerce-checkout #payment button#place_order:hover {
    background-color:#ffcc00 !important;
    color: #009757 !important;
}
/** WooCommerce checkout **/
form.woocommerce-checkout .woocommerce-billing-fields>h3,
form.woocommerce-checkout #order_review_heading,
form.woocommerce-checkout .form-row.hidden {
    display: none !important;
}
.woocommerce-checkout .woocommerce-checkout-review-order {
    padding: 0 !important;
    background-color: transparent !important;
    border-radius: 0 !important;
}
.woocommerce-checkout .col2-set .col-1,
.woocommerce-checkout .col2-set .col-2 {
    width: 100% !important;
}
.woocommerce .form-row .woocommerce-input-wrapper .select2 {
    display: flex;
    width: 100% !important;
}
.woocommerce-checkout input.hidden {
    display: none;
}
.woocommerce-checkout h3:not(#ship-to-different-address) {
    text-transform: none !important;
    font-size: 20px !important;
    color: #18283b;
}
.woocommerce #order_review table.shop_table {
    margin-bottom: 2rem;
    border-radius: 5px !important;
    border-color: rgb(230, 230, 230) !important;
    border-collapse: initial;
}
.woocommerce #order_review table.shop_table tr th,
.woocommerce #order_review table.shop_table tr td {
    width: auto;
    background: rgb(252, 252, 252);
    border-color: rgb(230, 230, 230) !important;
}
.woocommerce #order_review table.shop_table thead {
    display: none;
}
.woocommerce #order_review table.shop_table tbody>tr:first-child td {
    border-top: none;
}
.woocommerce-checkout #payment {
    background-color: rgb(252, 252, 252);
    border-color: rgb(230, 230, 230);
    border-radius: 5px;
}
.woocommerce-checkout #payment ul.payment_methods {
    clear: both;
    border-color: rgb(230, 230, 230);
}
.woocommerce-checkout #payment ul.payment_methods li {
    border-color: rgb(230, 230, 230);
}
.woocommerce-checkout #payment div.payment_box {
    padding: 30px;
    background-color: transparent;
}
.woocommerce-checkout #payment div.payment_box:before {
    border-bottom-color: rgb(230, 230, 230);
}
.woocommerce-checkout #payment div.payment_box .jp-card .jp-card-front,
.woocommerce-checkout #payment div.payment_box .jp-card .jp-card-back {
    background: #18283b;
}
.woocommerce-checkout #payment div.payment_box .jp-card .jp-card-front .jp-card-shiny,
.woocommerce-checkout #payment div.payment_box .jp-card .jp-card-back .jp-card-shiny {
    background: #cca001 !important;
}
.woocommerce-checkout #payment div.payment_box .jp-card .jp-card-front .jp-card-shiny::before,
.woocommerce-checkout #payment div.payment_box .jp-card .jp-card-back .jp-card-shiny::before {
    background: #dec300 !important;
}
.woocommerce-checkout #payment .payment_box fieldset.wc-credit-card-form {
    display: table-cell;
}
.woocommerce-checkout #payment .payment_box fieldset.wc-credit-card-form p {
    margin-bottom: 0;
}
.woocommerce-checkout #payment .payment_box fieldset.wc-credit-card-form select {
    width: 100%;
}
.woocommerce #payment ul.payment_methods li #pagseguro-payment-methods li.active,
.woocommerce-page #payment ul.payment_methods li #pagseguro-payment-methods li.active {
    color: #18283b;
    background-color: #fff;
}
.woocommerce-checkout #payment .place-order {
    padding: 20px !important;
}
/* Detran Integration Form */
#detran-api-integration {
    position: relative;
    border: 1px solid #364445;
    border-radius: 5px;
    overflow: hidden;
}
#detran-api-integration > p {
    margin: 0;
    padding: 15px;
    background-color: #364445;
    color: #ffffff;
    font-size: 1rem;
    text-align: center;
}
#detran-api-integration > p.valid {
    background-color: #005f35;
}
#detran-api-integration > p.warning { 
    background-color: #997e00;
}
#detran-api-integration > p.invalid {
    background-color: #890000;
}
#detran-api-integration > p a {
    color: inherit;
    text-decoration: underline;
}
#detran-api-integration > p a:hover {
    text-decoration: none;
}
#detran-api-integration form#detran-api-form {
    padding: 15px;
}
#detran-api-integration form#detran-api-form input,
#detran-api-integration form#detran-api-form select {
    width: 100%;
    margin-bottom: 10px;
}
#detran-api-integration form#detran-api-form input[readonly],
#detran-api-integration form#detran-api-form select[readonly] {
    background-color: #f5f5f5;
    color: rgba(0,0,0,.4);
}
#detran-api-integration form#detran-api-form input.invalid,
#detran-api-integration form#detran-api-form select.invalid {
    border-color: #890000;
}
#detran-api-integration form#detran-api-form select {
    padding: 6px 12px;
    font-size: .875rem;
    line-height: 1.42;
    color: #7d8386;
    background-color: #fcfcfc;
    border: 1px solid #e6e6e6;
    border-radius: 5px;
}
#detran-api-integration form#detran-api-form button {
    width: 100%;
    padding: 10px 20px;
    background-color: #009757;
    color: #fff;
    font-weight: 600;
}
#detran-api-integration form#detran-api-form button:hover {
    background-color: #ffcc00;
    color: #009757;
}
#detran-api-integration form#detran-api-form .detran-api-error {
    font-size: .875rem;
    color:#997e00;
}
form.cart + #detran-api-response {
    margin-top: 10px;
    color: #009757;
}
/** Small only **/
@media screen and (max-width: 768px) {
    /** Products list **/
    .woocommerce ul.products li.product a.button,
    .woocommerce-page ul.products li.product a.button {
        font-size: 14px;
    }
}
@media screen and (min-width: 768px) {
    .single_add_to_cart_button,
    .woocommerce .wc-proceed-to-checkout a.checkout-button,
    .woocommerce-checkout #payment button#place_order {
        padding: 15px 30px !important;
        font-size: 1.5rem !important;
    }
    form.woocommerce-checkout {
        display: flex;
        flex-wrap: wrap;
        gap: 2rem;
    }
    .woocommerce-checkout .woocommerce-NoticeGroup {
        width: 100%;
    }
    .woocommerce-checkout .woocommerce .col2-set,
    .woocommerce-checkout .woocommerce-checkout-review-order {
        width: calc(50% - 4rem);
    }
    /** Product seal **/
    li.product .seal {
        max-width: 60px !important;
        max-height: 60px;
    }
}
@media screen and (min-width: 769px) {
    .show-for-small-only {
        display: none !important;
    }
}
@media screen and (max-width: 992px) {
    /** Product seal **/
    li.product .seal {
        max-width: 80px !important;
        max-height: 80px;
    }
    body.woocommerce-page.fl-framework-bootstrap .row, body.woocommerce-page.fl-framework-base .row {
        display: block;
    }
}
@media screen and (min-width: 993px) {
    /** Product seal **/
    li.product .seal {
        max-width: 100px !important;
        max-height: 100px;
    }
}